Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.OutputPreview Class Reference
Inheritance diagram for foxit.pdf.OutputPreview:

## Public Types
enum | ColorantType { ColorantType.e_ColorantTypeProcess = 0, ColorantType.e_ColorantTypeSpot = 1 }
| Enumeration for colorant type. More...
enum | ShowType { ShowType.e_ShowAll = 0, ShowType.e_ShowDeviceCMYK = 1, ShowType.e_ShowNotDeviceCMYK = 2, ShowType.e_ShowICCBasedCMYK = 3, ShowType.e_ShowSpotColor = 4, ShowType.e_ShowDeviceCMYKAndSpot = 5, ShowType.e_ShowNotDeviceCMYKOrSpot = 6, ShowType.e_ShowDeviceN = 7, ShowType.e_ShowCMYK = 8, ShowType.e_ShowRGB = 9, ShowType.e_ShowDeviceRGB = 10, ShowType.e_ShowICCBasedRGB = 11, ShowType.e_ShowGray = 12, ShowType.e_ShowDeviceGray = 13, ShowType.e_ShowCalGray = 14, ShowType.e_ShowCalibrated = 15, ShowType.e_ShowLab = 16, ShowType.e_ShowDevice = 17, ShowType.e_ShowImages = 18, ShowType.e_ShowSolidColor = 19, ShowType.e_ShowSmoothShades = 20, ShowType.e_ShowRegistrationColor = 21, ShowType.e_ShowText = 22, ShowType.e_ShowLineArt = 23 }
| Enumeration for show type. More...

## Public Member Functions
| OutputPreview (foxit.pdf.PDFDoc pdf_doc)
| Constructor, with parameters. More...
| OutputPreview (OutputPreview other)
| Constructor, with another output preview object. More...
void | EnableSimulateOverprint (bool is_to_simulate_overprint)
| Set the flag to decide whether to enable simulate overprint. More...
Bitmap | GeneratePreviewBitmap (PDFPage page, Matrix2D matrix, Renderer renderer)
| Generate the output preview bitmap for a PDF page. More...
StringArray | GetPlates (OutputPreview.ColorantType colorant_type)
| Get Separations plates. More...
int | GetSpotPlateColor (string plate_name)
| Get the color value of a plate. More...
bool | IsChecked (string plate_name)
| Check whether a plate is checked or not. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | SetCheckStatus (string plate_name, bool to_check)
| Set the check status for a plate. More...
void | SetShowType (OutputPreview.ShowType show_type)
| Set show type. More...
void | SetSimulationProfile (string icc_profile_path)
| Set simulation ICC profile file path. More...

## Detailed Description

This class can be used to do output preview. Output preview is to preview color separations and test different color profiles. Before use this class, please ensure function common.Library.SetDefaultICCProfilesPath has been called successfully; otherwise unexpcted error or result may occur when this class is being used to do output preview. Currently, this feature is not supported on the Linux ARM and Mac ARM platform.

## Member Enumeration Documentation

## ◆ ColorantType

enum foxit.pdf.OutputPreview.ColorantType
| strong

Enumeration for colorant type.

Values of this enumeration should be used alone.

Enumerator
e_ColorantTypeProcess | Colorant type: process.
e_ColorantTypeSpot | Colorant type: spot.

## ◆ ShowType

enum foxit.pdf.OutputPreview.ShowType
| strong

Enumeration for show type.

Values of this enumeration should be used alone.

Enumerator
e_ShowAll | If set, show all.
e_ShowDeviceCMYK | If set, only show with DeviceCMYK.
e_ShowNotDeviceCMYK | If set, only show without DeviceCMYK.
e_ShowICCBasedCMYK | If set, only show with ICCBased CMYK.
e_ShowSpotColor | If set, only show with spot color.
e_ShowDeviceCMYKAndSpot | If set, only show with DeviceCMYK and spot.
e_ShowNotDeviceCMYKOrSpot | If set, only show with DeviceCMYK or spot.
e_ShowDeviceN | If set, only show with DeviceN.
e_ShowCMYK | If set, only show with CMYK.
e_ShowRGB | If set, only show with RGB.
e_ShowDeviceRGB | If set, only show with DeviceRGB.
e_ShowICCBasedRGB | If set, only show with ICCBased RGB.
e_ShowGray | If set, only show with Gray.
e_ShowDeviceGray | If set, only show with DeviceGray.
e_ShowCalGray | If set, only show with CalGray.
e_ShowCalibrated | If set, only show with Calibrated.
e_ShowLab | If set, only show with Lab.
e_ShowDevice | If set, only show with Device.
e_ShowImages | If set, only show images.
e_ShowSolidColor | If set, only show solid color.
e_ShowSmoothShades | If set, only show smooth shades.
e_ShowRegistrationColor | If set, only show registration color.
e_ShowText | If set, only show text.
e_ShowLineArt | If set, only show line art.

## Constructor & Destructor Documentation

## ◆ OutputPreview() [1/2]

foxit.pdf.OutputPreview.OutputPreview | ( | foxit.pdf.PDFDoc | pdf_doc | ) |
| inline

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document object.

## ◆ OutputPreview() [2/2]

foxit.pdf.OutputPreview.OutputPreview | ( | OutputPreview | other | ) |
| inline

Constructor, with another output preview object.

Parameters

  [in] | other | Another output preview object.

## Member Function Documentation

## ◆ EnableSimulateOverprint()

void foxit.pdf.OutputPreview.EnableSimulateOverprint | ( | bool | is_to_simulate_overprint | ) |
| inline

Set the flag to decide whether to enable simulate overprint.

If this function is not called, default value true will be used.

Parameters

  [in] | is_to_simulate_overprint | true means to simulate overprinting. false means not to simulate overprinting.

Returns
  None.

## ◆ GeneratePreviewBitmap()

Bitmap foxit.pdf.OutputPreview.GeneratePreviewBitmap | ( | PDFPage | page,
|  | Matrix2D | matrix,
|  | Renderer | renderer
| ) |  |
| inline

Generate the output preview bitmap for a PDF page.

This function will render target PDF page with flags and options specified in input renderer and settings of current output preview object, and then return the final output preview bitmap. Rendering process in this function will not affect input renderer.
Please ensure function OutputPreview.SetSimulationProfile has been called successfully; otherwise this function will throw foxit.common.ErrorCode.e_ErrUnsupported .

Parameters

  [in] | page | A valid PDF page object. This PDF page should have been parsed.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function PDFPage.GetDisplayMatrix .
  [in] | renderer | A valid renderer object.

Returns
  A bitmap which represents the output preview result.

## ◆ GetPlates()

StringArray foxit.pdf.OutputPreview.GetPlates | ( | OutputPreview.ColorantType | colorant_type | ) |
| inline

Get Separations plates.

If to get plates of process colorant type, please ensure function OutputPreview.SetSimulationProfile has been called successfully; otherwise no plate of process colorant type will be retrieved.

Parameters

  [in] | colorant_type | Colorant type. Please refer to values starting from foxit.pdf.OutputPreview.ColorantType.e_ColorantTypeProcess and this should be one of these values.

Returns
  A string array which represents plate names.

## ◆ GetSpotPlateColor()

int foxit.pdf.OutputPreview.GetSpotPlateColor | ( | string | plate_name | ) |
| inline

Get the color value of a plate.

This function is only useful for a plate in spot colorant type.

Parameters

  [in] | plate_name | Plate name. This can be retrieved form the returned string array of function OutputPreview.GetPlates .

Returns
  RGB color of the specified plate.

## ◆ IsChecked()

bool foxit.pdf.OutputPreview.IsChecked | ( | string | plate_name | ) |
| inline

Check whether a plate is checked or not.

For a newly constructed output preview object, all the plates are not checked.

Parameters

  [in] | plate_name | Plate name. This can be retrieved from the returned string array of function OutputPreview.GetPlates .

Returns
  true means the plate is checked, while false means the plate is not checked.

## ◆ IsEmpty()

bool foxit.pdf.OutputPreview.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetCheckStatus()

void foxit.pdf.OutputPreview.SetCheckStatus | ( | string | plate_name,
|  | bool | to_check
| ) |  |
| inline

Set the check status for a plate.

Parameters

  [in] | plate_name | Plate name. This can be retrieved from the returned string array of function OutputPreview.GetPlates .
  [in] | to_check | Check status: true means to check the plate, while false means not to check the plate.

Returns
  None.

## ◆ SetShowType()

void foxit.pdf.OutputPreview.SetShowType | ( | OutputPreview.ShowType | show_type | ) |
| inline

Set show type.

If no show type is set to current object, value foxit.pdf.OutputPreview.ShowType.e_ShowAll will be used by default when function OutputPreview.GeneratePreviewBitmap is called.

Parameters

  [in] | show_type | Show type. Please refer to values starting from foxit.pdf.OutputPreview.ShowType.e_ShowAll and this should be one of these values.

Returns
  None.

## ◆ SetSimulationProfile()

void foxit.pdf.OutputPreview.SetSimulationProfile | ( | string | icc_profile_path | ) |
| inline

Set simulation ICC profile file path.

If the color space of input ICC profile file is not one of RGB/Gray/CMYK, this function will throw foxit.common.ErrorCode.e_ErrUnsupported .
This function should be called successfully before calling function OutputPreview.GeneratePreviewBitmap .

Parameters

  [in] | icc_profile_path | File path for an ICC profile which is to be used as simulation profile for output preview.

Returns
  None.